Bug 906269 - Please support Scientific Linux
Summary: Please support Scientific Linux
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: openstack-packstack
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Magr
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-31 10:37 UTC by Sandro Mathys
Modified: 2013-08-12 14:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-12 14:01:58 UTC
Type: Bug


Attachments (Terms of Use)
proposed patch (518 bytes, text/plain)
2013-01-31 10:44 UTC, Sandro Mathys
no flags Details

Description Sandro Mathys 2013-01-31 10:37:29 UTC
PackStackError: Error during puppet run : No matching value for selector param 'Scientific' at /var/tmp/packstack/20130131-1125/manifests/10.112.1.30_postscript.pp:6

$ cat /etc/system-release
Scientific Linux release 6.3 (Carbon)

$ rpm -q openstack-packstack
openstack-packstack-2012.2.2-0.7.dev346.el6.noarch

SLC is a major distribution and the main competitor to CentOS, so I think it'd be fair to support it likewise.

Comment 1 Sandro Mathys 2013-01-31 10:44:17 UTC
Created attachment 690843 [details]
proposed patch

Comment 2 Derek Higgins 2013-01-31 11:10:30 UTC
Fix submitted upstream
https://review.openstack.org/20891

Comment 3 Anssi Johansson 2013-01-31 15:54:31 UTC
So the patch changes Fedora|RedHat|CentOS to Fedora|RedHat|CentOS|Scientific. I wonder if there could be a more universal method for detecting compatible Linux distributions than checking for some specific strings.

Comment 4 Sandro Mathys 2013-01-31 17:13:51 UTC
(In reply to comment #3)
> So the patch changes Fedora|RedHat|CentOS to
> Fedora|RedHat|CentOS|Scientific. I wonder if there could be a more universal
> method for detecting compatible Linux distributions than checking for some
> specific strings.

Actually, there is, just found out that's been added to puppet eventually (over a year ago). Since 1.6.2 there's now $osfamily. So that could be changed but then debian would also include ubuntu and I'm not sure whether that debian specific line works on ubuntu, too. Otherwise there would first have to be the osfamily check and then another check for the operatingsystem...

TBH I'm not even sure why there is a debian specific line - it seems to be the only one in all those templates while I'm pretty sure there's other things that wouldn't work there. Just saying.

Comment 5 Derek Higgins 2013-02-01 09:39:30 UTC
Yup, there is plenty in packstack that wont work on debian/ubuntu. So the switch on operatingsystem (and osfamily) is probably redundant. Somebody may step forward and want todo the work needed to support other distro some time. But for now we can probably remove the test of distro altogether.

Comment 6 Fedora Update System 2013-02-13 18:57:35 UTC
openstack-packstack-2012.2.2-0.8.dev406.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-packstack-2012.2.2-0.8.dev406.el6

Comment 7 Fedora Update System 2013-02-13 18:59:26 UTC
openstack-packstack-2012.2.2-0.8.dev406.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openstack-packstack-2012.2.2-0.8.dev406.fc18

Comment 8 Fedora Update System 2013-02-15 04:59:31 UTC
Package openstack-packstack-2012.2.2-0.8.dev406.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-packstack-2012.2.2-0.8.dev406.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2483/openstack-packstack-2012.2.2-0.8.dev406.fc18
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-02-21 13:37:33 UTC
openstack-packstack-2012.2.2-1.0.dev408.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openstack-packstack-2012.2.2-1.0.dev408.fc18

Comment 10 Fedora Update System 2013-02-21 13:39:24 UTC
openstack-packstack-2012.2.2-1.0.dev408.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/openstack-packstack-2012.2.2-1.0.dev408.el6

Comment 11 Fedora Update System 2013-02-27 12:39:40 UTC
openstack-packstack-2012.2.3-0.1.dev454.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openstack-packstack-2012.2.3-0.1.dev454.fc18


Note You need to log in before you can comment on or make changes to this bug.